wxWidgets: wxRichTextStyleSheet Class Reference

| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxRichTextStyleSheet Class Reference
Class List by Category » Rich Text

`#include <wx/richtext/richtextstyles.h>`

Inheritance diagram for wxRichTextStyleSheet:
[legend]

## Detailed Description

A style sheet contains named paragraph and character styles that make it easy for a user to apply combinations of attributes to a wxRichTextCtrl.

You can use a wxRichTextStyleListBox in your user interface to show available styles to the user, and allow application of styles to the control.

##

Library: wxRichText
Category: Rich Text

## Public Member Functions
| wxRichTextStyleSheet ()
| Constructor. More...
virtual | ~wxRichTextStyleSheet ()
| Destructor. More...
bool | AddCharacterStyle (wxRichTextCharacterStyleDefinition *def)
| Adds a definition to the character style list. More...
bool | AddListStyle (wxRichTextListStyleDefinition *def)
| Adds a definition to the list style list. More...
bool | AddParagraphStyle (wxRichTextParagraphStyleDefinition *def)
| Adds a definition to the paragraph style list. More...
bool | AddStyle (wxRichTextStyleDefinition *def)
| Adds a definition to the appropriate style list. More...
void | DeleteStyles ()
| Deletes all styles. More...
wxRichTextCharacterStyleDefinition * | FindCharacterStyle (const wxString &name, bool recurse=true) const
| Finds a character definition by name. More...
wxRichTextListStyleDefinition * | FindListStyle (const wxString &name, bool recurse=true) const
| Finds a list definition by name. More...
wxRichTextParagraphStyleDefinition * | FindParagraphStyle (const wxString &name, bool recurse=true) const
| Finds a paragraph definition by name. More...
wxRichTextStyleDefinition * | FindStyle (const wxString &name) const
| Finds a style definition by name. More...
wxRichTextCharacterStyleDefinition * | GetCharacterStyle (size_t n) const
| Returns the nth character style. More...
size_t | GetCharacterStyleCount () const
| Returns the number of character styles. More...
const wxString & | GetDescription () const
| Returns the style sheet's description. More...
wxRichTextListStyleDefinition * | GetListStyle (size_t n) const
| Returns the nth list style. More...
size_t | GetListStyleCount () const
| Returns the number of list styles. More...
const wxString & | GetName () const
| Returns the style sheet's name. More...
wxRichTextParagraphStyleDefinition * | GetParagraphStyle (size_t n) const
| Returns the nth paragraph style. More...
size_t | GetParagraphStyleCount () const
| Returns the number of paragraph styles. More...
bool | RemoveCharacterStyle (wxRichTextStyleDefinition *def, bool deleteStyle=false)
| Removes a character style. More...
bool | RemoveListStyle (wxRichTextStyleDefinition *def, bool deleteStyle=false)
| Removes a list style. More...
bool | RemoveParagraphStyle (wxRichTextStyleDefinition *def, bool deleteStyle=false)
| Removes a paragraph style. More...
bool | RemoveStyle (wxRichTextStyleDefinition *def, bool deleteStyle=false)
| Removes a style. More...
void | SetDescription (const wxString &descr)
| Sets the style sheet's description. More...
void | SetName (const wxString &name)
| Sets the style sheet's name. More...
wxRichTextProperties & | GetProperties ()
| Returns the sheet's properties. More...
const wxRichTextProperties & | GetProperties () const
| Returns the sheet's properties. More...
void | SetProperties (const wxRichTextProperties &props)
| Sets the sheet's properties. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

wxRichTextStyleSheet::wxRichTextStyleSheet | ( |  | ) |

Constructor.

virtual wxRichTextStyleSheet::~wxRichTextStyleSheet | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

bool wxRichTextStyleSheet::AddCharacterStyle | ( | wxRichTextCharacterStyleDefinition * | def | ) |

Adds a definition to the character style list.

bool wxRichTextStyleSheet::AddListStyle | ( | wxRichTextListStyleDefinition * | def | ) |

Adds a definition to the list style list.

bool wxRichTextStyleSheet::AddParagraphStyle | ( | wxRichTextParagraphStyleDefinition * | def | ) |

Adds a definition to the paragraph style list.

bool wxRichTextStyleSheet::AddStyle | ( | wxRichTextStyleDefinition * | def | ) |

Adds a definition to the appropriate style list.

void wxRichTextStyleSheet::DeleteStyles | ( |  | ) |

Deletes all styles.

wxRichTextCharacterStyleDefinition* wxRichTextStyleSheet::FindCharacterStyle | ( | const wxString & | name,
|  | bool | recurse = `true`
| ) |  | const

Finds a character definition by name.

wxRichTextListStyleDefinition* wxRichTextStyleSheet::FindListStyle | ( | const wxString & | name,
|  | bool | recurse = `true`
| ) |  | const

Finds a list definition by name.

wxRichTextParagraphStyleDefinition* wxRichTextStyleSheet::FindParagraphStyle | ( | const wxString & | name,
|  | bool | recurse = `true`
| ) |  | const

Finds a paragraph definition by name.

wxRichTextStyleDefinition* wxRichTextStyleSheet::FindStyle | ( | const wxString & | name | ) | const

Finds a style definition by name.

wxRichTextCharacterStyleDefinition* wxRichTextStyleSheet::GetCharacterStyle | ( | size_t | n | ) | const

Returns the nth character style.

size_t wxRichTextStyleSheet::GetCharacterStyleCount | ( |  | ) | const

Returns the number of character styles.

const wxString& wxRichTextStyleSheet::GetDescription | ( |  | ) | const

Returns the style sheet's description.

wxRichTextListStyleDefinition* wxRichTextStyleSheet::GetListStyle | ( | size_t | n | ) | const

Returns the nth list style.

size_t wxRichTextStyleSheet::GetListStyleCount | ( |  | ) | const

Returns the number of list styles.

const wxString& wxRichTextStyleSheet::GetName | ( |  | ) | const

Returns the style sheet's name.

wxRichTextParagraphStyleDefinition* wxRichTextStyleSheet::GetParagraphStyle | ( | size_t | n | ) | const

Returns the nth paragraph style.

size_t wxRichTextStyleSheet::GetParagraphStyleCount | ( |  | ) | const

Returns the number of paragraph styles.

wxRichTextProperties& wxRichTextStyleSheet::GetProperties | ( |  | ) |

Returns the sheet's properties.

const wxRichTextProperties& wxRichTextStyleSheet::GetProperties | ( |  | ) | const

Returns the sheet's properties.

bool wxRichTextStyleSheet::RemoveCharacterStyle | ( | wxRichTextStyleDefinition * | def,
|  | bool | deleteStyle = `false`
| ) |  |

Removes a character style.

bool wxRichTextStyleSheet::RemoveListStyle | ( | wxRichTextStyleDefinition * | def,
|  | bool | deleteStyle = `false`
| ) |  |

Removes a list style.

bool wxRichTextStyleSheet::RemoveParagraphStyle | ( | wxRichTextStyleDefinition * | def,
|  | bool | deleteStyle = `false`
| ) |  |

Removes a paragraph style.

bool wxRichTextStyleSheet::RemoveStyle | ( | wxRichTextStyleDefinition * | def,
|  | bool | deleteStyle = `false`
| ) |  |

Removes a style.

void wxRichTextStyleSheet::SetDescription | ( | const wxString & | descr | ) |

Sets the style sheet's description.

void wxRichTextStyleSheet::SetName | ( | const wxString & | name | ) |

Sets the style sheet's name.

void wxRichTextStyleSheet::SetProperties | ( | const wxRichTextProperties & | props | ) |

Sets the sheet's properties.